// -*-c++-*-

/*!
  \file basic_actions.h
  \brief header collection of basic actions
*/

/*
 *Copyright:

 Copyright (C) Hidehisa AKIYAMA

 This code is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 3 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef RCSC_ACTION_BASIC_ACTIONS_H
#define RCSC_ACTION_BASIC_ACTIONS_H

#include "arm_off.h"
#include "arm_point_to_point.h"
#include "bhv_body_neck_to_point.h"
#include "bhv_body_neck_to_ball.h"
#include "bhv_neck_body_to_point.h"
#include "bhv_neck_body_to_ball.h"
#include "body_tackle_to_point.h"
#include "body_turn_to_angle.h"
#include "body_turn_to_ball.h"
#include "body_turn_to_point.h"
#include "neck_turn_to_ball.h"
#include "neck_turn_to_point.h"
#include "neck_turn_to_relative.h"
#include "view_change_width.h"
#include "view_wide.h"
#include "view_normal.h"

#endif
